/*on scroll apply class ani on animation*/
var $animation_elements = $('.animation');
var $window = $(window);

function check_if_in_view() {
    var window_height = $window.height();
    var window_top_position = $window.scrollTop();
    //var window_bottom_position = (window_top_position + window_height);
    var window_bottom_position = window_top_position + (window_height - 60);

    $.each($animation_elements, function () {
        var $element = $(this);
        var element_height = $element.outerHeight();
        var element_top_position = $element.offset().top;
        var element_bottom_position = (element_top_position + element_height);

        //check to see if this current container is within viewport
        if ((element_bottom_position >= window_top_position) &&
            (element_top_position <= window_bottom_position)) {
            $element.addClass('ani');
        } else {
            //$element.removeClass('ani');
        }
    });
}
$window.on('scroll resize', check_if_in_view);
$window.trigger('scroll');


// copyright
$(document).ready(function ($) {
    let year = new Date().getFullYear();
    $('#copyright').text(year);
});


$('.top-slider').owlCarousel({
    loop: true,
    margin: 0,
    dots: true,
    nav: true,
    mouseDrag: false,
    autoplay: true,
    animateOut: 'fadeOut',
    responsive: {
        0: {
            items: 1,
            nav: false,
        },
        600: {
            items: 1
        },
        1000: {
            items: 1
        }
    }
});


$('.testimonial-slide').owlCarousel({
    loop: true,
    margin: 15,
    autoplay: true,
    nav: true,
    dots: true,
    responsive: {
        0: {
            items:1.10
        },
        450: {
            items:1.75
        },
        768: {
            items: 2.5
        },
        1000: {
            items: 3.25
        },
        1280: {
            items: 4.25
        }
    }
})


$(document).on("click", ".navbar-toggler", function () {
    $("body").toggleClass("show_menu")
})

